## com.cyscape.browserhawk
Class PLTOptions

    java.lang.Object
      com.cyscape.browserhawk.PLTOptions

    public class PLTOptions

extends java.lang.Object

Class to control the preferences and options used by pltHead() in the testing of page load times.

Constructor Summary
`PLTOptions()` Constructs an instance of the PLTOptions class with the default properties.

Method Summary
`java.lang.String` | `getBrwsURL()` Returns the URL where the BrowserHawk Reports Web Service resides.
`java.lang.String` | `getBrwsURLComplete()` Returns the full server URL where the BrowserHawk Reports Web Service resides.
`java.lang.String` | `getCookieDomainOverride()` Returns the desired cookie domain setting for the cookie associated with PLT detection.
`int` | `getDebugLevel()` Returns the debug level for the page load time test.
`java.lang.Double` | `getExtraDouble1()` Returns the first extra double data value to be associated with this page load time entry.
`java.lang.Double` | `getExtraDouble2()` Returns the second extra double data value to be associated with this page load time entry.
`java.lang.Double` | `getExtraDouble3()` Returns the third extra double data value to be associated with this page load time entry.
`java.lang.Integer` | `getExtraInt1()` Returns the first extra integer data value to be associated with this page load time entry.
`java.lang.Integer` | `getExtraInt2()` Returns the second extra integer data value to be associated with this page load time entry.
`java.lang.Integer` | `getExtraInt3()` Returns the third extra integer data value to be associated with this page load time entry.
`java.lang.String` | `getExtraString1()` Returns the first extra string data value to be associated with this page load time entry.
`java.lang.String` | `getExtraString2()` Returns the second extra string data value to be associated with this page load time entry.
`java.lang.String` | `getExtraString3()` Returns the third extra string data value to be associated with this page load time entry.
`java.lang.String` | `getExtraString4()` Returns the fourth extra string data value to be associated with this page load time entry.
`java.lang.String` | `getExtraString5()` Returns the fifth extra string data value to be associated with this page load time entry.
`java.lang.String` | `getSessionID()` Returns the session identifier that's associated with this request, which will be transmitted to the recordkeeper for association with the page load time entry.
`java.lang.String` | `getSessionIDCookieName()` Returns the name of the cookie holding the session identifier that's associated issuing this request, which will be transmitted to the recordkeeper for association with the page load time entry.
`java.lang.String` | `getUserID()` Returns the name of the user issuing this request, which will be transmitted to the recordkeeper for association with the page load time entry.
`java.lang.String` | `getUserIDCookieName()` Returns the name of the cookie holding the user name issuing this request, which will be transmitted to the recordkeeper for association with the page load time entry.
`PLTOptions` | `setBrwsURL(java.lang.String brwsURL)` Sets the URL where the BrowserHawk Reports Web Service resides.
`PLTOptions` | `setBrwsURLComplete(java.lang.String brwsURLComplete)` Sets the full server URL where the BrowserHawk Reports Web Service resides.
`PLTOptions` | `setCookieDomainOverride(java.lang.String cookieDomainOverride)` Sets the desired cookie domain setting for the cookie associated with PLT detection.
`PLTOptions` | `setDebugLevel(int debugLevel)` Sets the debug level for the page load time test.
`PLTOptions` | `setExtraDouble1(double extraDouble1)` Sets the first extra double data value to be associated with this page load time entry.
`PLTOptions` | `setExtraDouble2(double extraDouble2)` Sets the second extra double data value to be associated with this page load time entry.
`PLTOptions` | `setExtraDouble3(double extraDouble3)` Sets the third extra double data value to be associated with this page load time entry.
`PLTOptions` | `setExtraInt1(int extraInt1)` Sets the first extra integer data value to be associated with this page load time entry.
`PLTOptions` | `setExtraInt2(int extraInt2)` Sets the second extra integer data value to be associated with this page load time entry.
`PLTOptions` | `setExtraInt3(int extraInt3)` Sets the third extra integer data value to be associated with this page load time entry.
`PLTOptions` | `setExtraString1(java.lang.String extraString1)` Sets the first extra string data value to be associated with this page load time entry.
`PLTOptions` | `setExtraString2(java.lang.String extraString2)` Sets the second extra string data value to be associated with this page load time entry.
`PLTOptions` | `setExtraString3(java.lang.String extraString3)` Sets the third extra string data value to be associated with this page load time entry.
`PLTOptions` | `setExtraString4(java.lang.String extraString4)` Sets the fourth extra string data value to be associated with this page load time entry.
`PLTOptions` | `setExtraString5(java.lang.String extraString5)` Sets the fifth extra string data value to be associated with this page load time entry.
`PLTOptions` | `setSessionID(java.lang.String sessionString)` Sets the session identifier that's associated with this request, which will be transmitted to the recordkeeper for association with the page load time entry.
`PLTOptions` | `setSessionIDCookieName(java.lang.String sessionCookieName)` Sets the name of the cookie holding the session identifier that's associated issuing this request, which will be transmitted to the recordkeeper for association with the page load time entry.
`PLTOptions` | `setUserID(java.lang.String userString)` Sets the name of the user issuing this request, which will be transmitted to the recordkeeper for association with the page load time entry.
`PLTOptions` | `setUserIDCookieName(java.lang.String userCookieName)` Sets the name of the cookie holding the user name issuing this request, which will be transmitted to the recordkeeper for association with the page load time entry.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PLTOptions

    public PLTOptions()

  Constructs an instance of the PLTOptions class with the default properties.

Method Detail

### getUserID

    public java.lang.String getUserID()

  Returns the name of the user issuing this request, which will be transmitted to the recordkeeper for association with the page load time entry.

### setUserID

    public PLTOptions setUserID(java.lang.String userString)

  Sets the name of the user issuing this request, which will be transmitted to the recordkeeper for association with the page load time entry.

### getUserIDCookieName

    public java.lang.String getUserIDCookieName()

  Returns the name of the cookie holding the user name issuing this request, which will be transmitted to the recordkeeper for association with the page load time entry. This property can be useful in lieu of UserID when static page PLT detection needs to know the user and can be told the user name via a cookie.

### setUserIDCookieName

    public PLTOptions setUserIDCookieName(java.lang.String userCookieName)

  Sets the name of the cookie holding the user name issuing this request, which will be transmitted to the recordkeeper for association with the page load time entry. This property can be useful in lieu of UserID when static page PLT detection needs to know the user and can be told the user name via a cookie.

### getSessionID

    public java.lang.String getSessionID()

  Returns the session identifier that's associated with this request, which will be transmitted to the recordkeeper for association with the page load time entry.

### setSessionID

    public PLTOptions setSessionID(java.lang.String sessionString)

  Sets the session identifier that's associated with this request, which will be transmitted to the recordkeeper for association with the page load time entry.

### getSessionIDCookieName

    public java.lang.String getSessionIDCookieName()

  Returns the name of the cookie holding the session identifier that's associated issuing this request, which will be transmitted to the recordkeeper for association with the page load time entry. This property can be useful in lieu of SessionID when static page PLT detection needs to know the session id and can be told the session id via a cookie. Example: "JSESSIONID".

### setSessionIDCookieName

    public PLTOptions setSessionIDCookieName(java.lang.String sessionCookieName)

  Sets the name of the cookie holding the session identifier that's associated issuing this request, which will be transmitted to the recordkeeper for association with the page load time entry. This property can be useful in lieu of SessionID when static page PLT detection needs to know the session id and can be told the session id via a cookie. Example: "JSESSIONID".

### getCookieDomainOverride

    public java.lang.String getCookieDomainOverride()

  Returns the desired cookie domain setting for the cookie associated with PLT detection. Generally you'll want as generic a domain as possible for your site, which is the default. Set this property if you want something more specific. Example: ".yoursite.com" or ".subdomain.yoursite.com".

### setCookieDomainOverride

    public PLTOptions setCookieDomainOverride(java.lang.String cookieDomainOverride)

  Sets the desired cookie domain setting for the cookie associated with PLT detection. Generally you'll want as generic a domain as possible for your site, which is the default. Set this property if you want something more specific. Example: ".yoursite.com" or ".subdomain.yoursite.com".

### getBrwsURL

    public java.lang.String getBrwsURL()

  Returns the URL where the BrowserHawk Reports Web Service resides. Normally this is set in the browserhawk.properties file as brws.url, but this property allows it to be set dynamically so it could for example vary depending on the request. The URL pointed to should be a server with BRWS installed. Relative URLs are allowed. The related property BrwsURLComplete provides the ability to set a full URL including the scheme (http or https) to override the automatic scheme detection.

### setBrwsURL

    public PLTOptions setBrwsURL(java.lang.String brwsURL)

  Sets the URL where the BrowserHawk Reports Web Service resides. Normally this is set in the browserhawk.properties file as brws.url, but this property allows it to be set dynamically so it could for example vary depending on the request. The URL pointed to should be a server with BRWS installed. Relative URLs are allowed. The related property BrwsURLComplete provides the ability to set a full URL including the scheme (http or https) to override the automatic scheme detection.

### getBrwsURLComplete

    public java.lang.String getBrwsURLComplete()

  Returns the full server URL where the BrowserHawk Reports Web Service resides. This property is similar to BrwsURL except this property accepts a full URL for the service including the scheme (http or https). Use this property when you don't want automatic http/https alteration. This property can only be set dynamically.

### setBrwsURLComplete

    public PLTOptions setBrwsURLComplete(java.lang.String brwsURLComplete)

  Sets the full server URL where the BrowserHawk Reports Web Service resides. This property is similar to BrwsURL except this property accepts a full URL for the service including the scheme (http or https). Use this property when you don't want automatic http/https alteration. This property can only be set dynamically.

### getExtraInt1

    public java.lang.Integer getExtraInt1()

  Returns the first extra integer data value to be associated with this page load time entry. Example: the version of your site in place, a group id for the visiting user, a boolean flag value on whether the client has some feature or behavior, or whatever else you like.

### setExtraInt1

    public PLTOptions setExtraInt1(int extraInt1)

  Sets the first extra integer data value to be associated with this page load time entry. Example: the version of your site in place, a group id for the visiting user, a boolean flag value on whether the client has some feature or behavior, or whatever else you like.

### getExtraInt2

    public java.lang.Integer getExtraInt2()

  Returns the second extra integer data value to be associated with this page load time entry. Example: the version of your site in place, a group id for the visiting user, a boolean flag value on whether the client has some feature or behavior, or whatever else you like.

### setExtraInt2

    public PLTOptions setExtraInt2(int extraInt2)

  Sets the second extra integer data value to be associated with this page load time entry. Example: the version of your site in place, a group id for the visiting user, a boolean flag value on whether the client has some feature or behavior, or whatever else you like.

### getExtraInt3

    public java.lang.Integer getExtraInt3()

  Returns the third extra integer data value to be associated with this page load time entry. Example: the version of your site in place, a group id for the visiting user, a boolean flag value on whether the client has some feature or behavior, or whatever else you like.

### setExtraInt3

    public PLTOptions setExtraInt3(int extraInt3)

  Sets the third extra integer data value to be associated with this page load time entry. Example: the version of your site in place, a group id for the visiting user, a boolean flag value on whether the client has some feature or behavior, or whatever else you like.

### getExtraDouble1

    public java.lang.Double getExtraDouble1()

  Returns the first extra double data value to be associated with this page load time entry. Example: a browser version, a database query elapsed time value, or whatever else you like.

### setExtraDouble1

    public PLTOptions setExtraDouble1(double extraDouble1)

  Sets the first extra double data value to be associated with this page load time entry. Example: a browser version, a database query elapsed time value, or whatever else you like.

### getExtraDouble2

    public java.lang.Double getExtraDouble2()

  Returns the second extra double data value to be associated with this page load time entry. Example: a browser version, a database query elapsed time value, or whatever else you like.

### setExtraDouble2

    public PLTOptions setExtraDouble2(double extraDouble2)

  Sets the second extra double data value to be associated with this page load time entry. Example: a browser version, a database query elapsed time value, or whatever else you like.

### getExtraDouble3

    public java.lang.Double getExtraDouble3()

  Returns the third extra double data value to be associated with this page load time entry. Example: a browser version, a database query elapsed time value, or whatever else you like.

### setExtraDouble3

    public PLTOptions setExtraDouble3(double extraDouble3)

  Sets the third extra double data value to be associated with this page load time entry. Example: a browser version, a database query elapsed time value, or whatever else you like.

### getExtraString1

    public java.lang.String getExtraString1()

  Returns the first extra string data value to be associated with this page load time entry. Example: a special identifier for this type of request, the browser of the visitor, or whatever else you like.

### setExtraString1

    public PLTOptions setExtraString1(java.lang.String extraString1)

  Sets the first extra string data value to be associated with this page load time entry. Example: a special identifier for this type of request, the browser of the visitor, or whatever else you like.

### getExtraString2

    public java.lang.String getExtraString2()

  Returns the second extra string data value to be associated with this page load time entry. Example: a special identifier for this type of request, the browser of the visitor, or whatever else you like.

### setExtraString2

    public PLTOptions setExtraString2(java.lang.String extraString2)

  Sets the second extra string data value to be associated with this page load time entry. Example: a special identifier for this type of request, the browser of the visitor, or whatever else you like.

### getExtraString3

    public java.lang.String getExtraString3()

  Returns the third extra string data value to be associated with this page load time entry. Example: a special identifier for this type of request, the browser of the visitor, or whatever else you like.

### setExtraString3

    public PLTOptions setExtraString3(java.lang.String extraString3)

  Sets the third extra string data value to be associated with this page load time entry. Example: a special identifier for this type of request, the browser of the visitor, or whatever else you like.

### getExtraString4

    public java.lang.String getExtraString4()

  Returns the fourth extra string data value to be associated with this page load time entry. Example: a special identifier for this type of request, the browser of the visitor, or whatever else you like.

### setExtraString4

    public PLTOptions setExtraString4(java.lang.String extraString4)

  Sets the fourth extra string data value to be associated with this page load time entry. Example: a special identifier for this type of request, the browser of the visitor, or whatever else you like.

### getExtraString5

    public java.lang.String getExtraString5()

  Returns the fifth extra string data value to be associated with this page load time entry. Example: a special identifier for this type of request, the browser of the visitor, or whatever else you like.

### setExtraString5

    public PLTOptions setExtraString5(java.lang.String extraString5)

  Sets the fifth extra string data value to be associated with this page load time entry. Example: a special identifier for this type of request, the browser of the visitor, or whatever else you like.

### getDebugLevel

    public int getDebugLevel()

  Returns the debug level for the page load time test. A 0 value, the default, indicates no special logging. A 1 value or higher indicates to record a debug string about the test to the page load time database entry.

### setDebugLevel

    public PLTOptions setDebugLevel(int debugLevel)

  Sets the debug level for the page load time test. A 0 value, the default, indicates no special logging. A 1 value or higher indicates to record a debug string about the test to the page load time database entry.